'  
'   Rebex Sample Code License
' 
'   Copyright 2026, REBEX CR s.r.o.
'   All rights reserved.
'   https://www.rebex.net/
' 
'   Permission to use, copy, modify, and/or distribute this software for any
'   purpose with or without fee is hereby granted.
' 
'   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'   OTHER DEALINGS IN THE SOFTWARE.
' 

Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports Rebex.IO.Compression

''' <summary>
''' A dialog that asks for the password.
''' </summary>
Partial Public Class PasswordDialog
    Inherits Form

    Public Sub New()
        InitializeComponent()
    End Sub

    ''' <summary>
    ''' Gets the password.
    ''' </summary>
    Public ReadOnly Property Password() As String
        Get
            Return textBoxPassword.Text
        End Get
    End Property

    ''' <summary>
    ''' Sets the file path in question template text.
    ''' </summary>
    ''' <param name="filePath">File path.</param>
    Public Sub SetFilePath(ByVal filePath As String, ByVal reason As ArchivePasswordReason)
        Select Case reason
            Case ArchivePasswordReason.IncorrectPasswordOrCorruptedData
                labelInfo.Text = String.Format("Incorrect password or corrupted data ('{0}').", filePath)
            Case ArchivePasswordReason.PasswordRequired
                labelInfo.Text = String.Format("Password required for '{0}'.", filePath)
        End Select
    End Sub

End Class
